Entity Search V1

Allows you to search for entities with a variety of parameters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Each type of filter you select will be additive, effectively acting as an "AND WHERE" clause to the rest of your filters. For example, a search request with parameters for both entity_types and specialties like so:

{
  "specialties": [
    "Rehabilitation Hospital Unit"
  ],
  "entity_types": [
    "Facility"
  ]
}

will filter for practitioners that have a Entity Type of "Facility" AND a specific NUCC specialty of "Rehabilitation Hospital Unit".

However WITHIN a given filter type, multiple values will be unioned, effectively acting as an "OR WHERE" clause within that filter. So a search body of the following, with multiple specialties selected:

{
  "specialties": [
    "Rehabilitation Hospital Unit",
    "General Acute Care Hospital"
  ],
  "entity_types": [
    "Facility"
  ]
}

Will search for a practitioner with a Entity Type of "Facility", and a NUCC Specialty of "Rehabilitation Hospital Unit" OR "General Acute Care Hospital".

Body Params

Request body for entity search

The request body for a search for an entity

integer

Affiliated entity NPI to filter entities by

integer

Affiliated practitioner NPI to filter entities by

string

Distance in miles from zip code to search for entities near

entity_types
array of strings

Entity types to filter entities by

entity_types
string

Name or NPI of the entity to search for

service_types
array of strings

Service types to filter entities by

service_types
specialties
array of strings

NUCC specialties to filter entities by

specialties
string

Zip code to search for entities in/near

tax_identification_numbers
array of integers

Tax identification numbers to search for entities

tax_identification_numbers
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json